Categories:
  - System
License: GPL-3.0-or-later
AuthorName: Jens Schröder
AuthorEmail: android-development@gmx.de
SourceCode: https://git.server47.de/jens/Automation
Donate: https://server47.de/donate.html
Bitcoin: bc1qf9hqymh0qeunvkj95jrl9vtagjsmxuc7c7dle5

AutoName: Automation

RepoType: git
Repo: https://git.server47.de/jens/Automation.git

Builds:
  - versionName: 1.6.21
    versionCode: 96
    commit: v1.6.21
    subdir: app
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.6.22
    versionCode: 98
    commit: v1.6.23
    subdir: app
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.6.32
    versionCode: 103
    commit: v1.6.32
    subdir: app
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.6.33
    versionCode: 104
    commit: v1.6.33
    subdir: app
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.6.34
    versionCode: 105
    commit: v1.6.34
    subdir: app
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.6.35
    versionCode: 106
    disable: cannot find symbol
    commit: a845ea7c63b896b6658afaf52172b084b4a93a34
    subdir: app
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.6.36
    versionCode: 107
    disable: cannot find symbol
    commit: 7415830dd774b641d33a9b010c8ad2d03f572323
    subdir: app
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.6.38
    versionCode: 108
    commit: 6593f6c9238d56bb8138eb8252f61f6783c5b62c
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.6.40
    versionCode: 110
    commit: 913a37a320b84bc8d130cc1a6d8808f6f8230d59
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.6.41
    versionCode: 111
    commit: 5a7cbfcdc9798cfe7ad04fe0880180d785ffe357
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.6.42
    versionCode: 112
    commit: cb430b957f6ef7e98d35bff9fce9ed1775f6403c
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
CurrentVersion: 1.6.42
CurrentVersionCode: 112
